@ECHO OFF
CLS

::
::  ======================================================================
::                              REGION17.BAT
::              An example of interfacing FrontDoor and KA9Q
::                  for handling Region 17 FTPBone stuff
::               Written for use with FrontDoor and FD2FTP
::                   written by John Mudge @ 1:352/111
::  ======================================================================
::

:FTP-OUT

::
::  ======================================================================
::               Handling Outgoing Regional Mail and Files
::  ======================================================================
::

:FD2FTP
C:
CD \KA9Q
IF EXIST C:\KA9Q\SPOOL\FTPIN\ZZZZZZZZ.TMP MOVE C:\KA9Q\SPOOL\FTPIN\ZZZZZZZZ.TMP C:\KA9Q\SPOOL\FTPOUT\356_18
FD2FTP.EXE -cFD2FTP.CFG
IF NOT ERRORLEVEL 2 REM > C:\BBS\FD\FDRESCAN.NOW

:KA9Q

::
::  ======================================================================
::                              Running KA9Q
::  ======================================================================
::

C:
CD \KA9Q
::SET TIME FOR PST
SET GTZ=UTC+8
NET15B.EXE -d C:\KA9Q C:\KA9Q\REGION17.NET
SET GTZ=

:FTP-IN

::
::  ======================================================================
::               Handling Incoming Regional Mail and Files
::  ======================================================================
::

IF NOT EXIST C:\KA9Q\SPOOL\FTPIN\*.* GOTO END
IF EXIST C:\KA9Q\SPOOL\FTPIN\ZZZZZZZZ.TMP MOVE C:\KA9Q\SPOOL\FTPIN\ZZZZZZZZ.TMP C:\KA9Q\SPOOL\FTPOUT\356_18

::   USE TICFIX TO CHECK FOR TIC's WITHOUT MATCHING FILES
C:
CD \BBS\ALLFIX
TICFIX.EXE C:\KA9Q\SPOOL\FTPIN\ C:\BBS\ALLFIX\NOFILES\

::   MOVE *.TIC AND COMPANION FILES TO PROCESSING DIRECTORY
C:
CD \KA9Q
IF NOT EXIST C:\KA9Q\SPOOL\FTPIN\*.TIC GOTO END
TICMOVE.EXE C:\KA9Q\SPOOL\FTPIN C:\BBS\MAIL-SEC

:MOVEMAIL

::   MOVE ECHOMAIL ARCHIVES
C:
CD \KA9Q\SPOOL\FTPIN
IF EXIST *.* MOVE *.* C:\BBS\MAIL-SEC

GUS.EXE C:\BBS\MAIL-SEC /M

::   MOVE INCOMING NETMAIL TO SECURE DIRECTORY
C:
CD  \BBS\MAIL-IN
FOR %%F IN (*.PKT) DO CALL C:\KA9Q\CHKPKT1.BAT %%F

:END

C:
CD \KA9Q
